Cannot instal wine 5 on Ubuntu 19.10

Questions about Wine on Linux
Post Reply
icepro
Newbie
Newbie
Posts: 3
Joined: Tue Mar 24, 2020 7:48 pm

Cannot instal wine 5 on Ubuntu 19.10

Post by icepro » Tue Mar 24, 2020 7:51 pm

I have followed the regular installation process, but having the following problem:

Code: Select all

$ sudo apt install --install-recommends winehq-staging

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
 winehq-staging : Depends: wine-staging (= 5.4~eoan)
E: Unable to correct problems, you have held broken packages.


icepro
Newbie
Newbie
Posts: 3
Joined: Tue Mar 24, 2020 7:48 pm

Re: Cannot instal wine 5 on Ubuntu 19.10

Post by icepro » Wed Mar 25, 2020 7:34 pm

I have tried that:

Code: Select all

$ sudo apt install wine-stable-i386
The following packages have unmet dependencies.
 wine-stable-i386:i386 : Depends: libfaudio0:i386
then

Code: Select all

$ sudo apt install libfaudio0:i386
The following packages have unmet dependencies.
 libfaudio0:i386 : Depends: libavcodec58:i386
next step

Code: Select all

$ sudo apt install libavcodec58:i386
The following packages have unmet dependencies.
 libavcodec58:i386 : Depends: libglib2.0-0:i386 (>= 2.12.0) but it is not going to be installed
                     Depends: librsvg2-2:i386 (>= 2.14.4) but it is not going to be installed

at last I got this

Code: Select all

$ sudo apt install libpcre2-8-0:i386
...
0 to upgrade, 2 to newly install, 1590 to remove and 0 not to upgrade.
Need to get 218 kB of archives.
After this operation, 9.076 MB disk space will be freed.
You are about to do something potentially harmful
To continue type in the phrase ‘Yes, do as I say!’
It will definitely corrupt my system.

How can I overcome this?

icepro
Newbie
Newbie
Posts: 3
Joined: Tue Mar 24, 2020 7:48 pm

Re: Cannot instal wine 5 on Ubuntu 19.10

Post by icepro » Wed Mar 25, 2020 7:35 pm

note: cybermax repo I have also added but no luck

User avatar
dimesio
Moderator
Moderator
Posts: 12777
Joined: Tue Mar 25, 2008 10:30 pm

Re: Cannot instal wine 5 on Ubuntu 19.10

Post by dimesio » Thu Mar 26, 2020 7:37 am

Code: Select all

$ sudo apt install libpcre2-8-0:i386
...
0 to upgrade, 2 to newly install, 1590 to remove and 0 not to upgrade.
As the FAQ article I linked to states, the versions of i386 and amd64 packages must be identical. The standard and universe repositories do have matching versions, so at some point you must have added an outside PPA that has a different version. Your choice is to either revert whatever mismatched package you installed from that PPA to the distro version or find an i386 package that matches the one you have installed.

Post Reply